﻿using Leadtools.Annotations.Core;

namespace CustomAnnotationsDemo
{
   /// <summary>
   /// this class is the custom circle object
   /// it's based off the ellipse object
   /// </summary>
   class AnnCircleObject : AnnEllipseObject
   {
      //set the id to the UserObjectID
      public const int CircleObjectId = UserObjectId;

      /// <summary>
      /// Constructor for the object
      /// set the id of the object to the circle object ID
      /// </summary>
      public AnnCircleObject()
         : base()
      {
         SetId(CircleObjectId);
         Tag = null;
      }

      protected override AnnObject Create()
      {
         return new AnnCircleObject();
      }
   }
}
